GET /offers

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/offers

List Offer records.

Search and list the offers (campaigns) in your account, with filtering, sorting, and pagination. Supports JSON or CSV output.

Supported Formats

json, csv

Params

Param name Description
serializer
Optional Blank value allowed

This endpoint supports multiple response formats. Pass serializer=name to retrieve data in an alternate format.

  • Must be a value contained in the pick list:
    Acceptable ValueDescription
    offerDefault response format.
    offer_gridModern response format that returns various foreign keys for use with other API endpoints.
    transcription_offer_configTranscription Offer Config
page
Optional

Return the next page of results.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

order
Optional

Sort results by this field.

  • Must be one of: name, schedules_count, numbers_count, buyers_count, agents_count, paused, user_offer_id, calls_count, recent_calls_count, last_call_at, numbers_count, created_at, data_append_type.

order_dir
Optional

Sort results in ascending or descending order.

  • Must be one of: asc, desc.

fulltext
Optional

Search for any record that matches this text

  • Must be a String

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • user_offer_id
  • paused
  • numbers_api_key
  • leads_api_key
  • name
  • numbers_count
  • max_cc_count
  • active_cc_count
  • in_progress_count
  • call_routers_attributes
  • lead_token
  • offer_conversion_ids
  • buyers_count
  • buyer_groups_count
  • agents_count
  • vertical_id
  • vertical_options
  • record_token_filter_id
  • record_token_filter_data_count
  • record_token_filter_data
  • record_token_filter_blacklist_alliance_id
  • record_token_filter_blacklist_alliance_data_count
  • record_token_filter_blacklist_alliance_data
  • record_token_filter_tcpa_shield_id
  • record_token_filter_tcpa_shield_data_count
  • record_token_filter_tcpa_shield_data
  • record_token_filter_suppression_list_id
  • record_token_filter_suppression_list_data_count
  • record_token_filter_suppression_list_data
  • Must be a String